Package org.eclipse.emf.compare.rcp.ui.internal.preferences.impl

# Class GroupsInteractiveContent

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.preferences.impl.GroupsInteractiveContent

public class GroupsInteractiveContent extends Object
Interactive content used for `IDifferenceGroupProvider` preferences.

## Constructor Summary

Constructors
Constructor
Description
`GroupsInteractiveContent(org.eclipse.swt.widgets.Composite parent)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>>`
`getOrderedItems()`
Gets `IItemDescriptor` of {IDifferenceGroupProvider.
`org.eclipse.swt.widgets.Composite`
`getViewerComposite()`
The composite holding the viewer.
`void`
`select(IItemDescriptor<IDifferenceGroupProvider.Descriptor> descriptor)`
Handles a selection in the viewer.
`void`
`setViewer(org.eclipse.jface.viewers.ListViewer inputViewer)`
Set the viewer.
`void`
`setViewerInput(List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>> input)`
Sets the input for interactive content.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GroupsInteractiveContent

public GroupsInteractiveContent(org.eclipse.swt.widgets.Composite parent)
Constructor.

Parameters:
  `parent` - Main composite holding this group interactive content.

## Method Details

### getOrderedItems

public List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>> getOrderedItems()
Gets `IItemDescriptor` of {IDifferenceGroupProvider.@link Descriptor} ordered by user.

Returns:
  The ordered list of `IItemDescriptor`.

### getViewerComposite

public org.eclipse.swt.widgets.Composite getViewerComposite()
The composite holding the viewer.

Returns:
  Compsite

### select

public void select(IItemDescriptor<IDifferenceGroupProvider.Descriptor> descriptor)
Handles a selection in the viewer. Updates related components.

Parameters:
  `descriptor` - The descriptor to select.

### setViewerInput

public void setViewerInput(List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>> input)
Sets the input for interactive content.

Parameters:
  `input` - Input of the viewsr.

### setViewer

public void setViewer(org.eclipse.jface.viewers.ListViewer inputViewer)
Set the viewer.

Parameters:
  `inputViewer` - A `ListViewer` of `IItemDescriptor`